/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * dsn.h
 *
 *  Created on: Feb 21, 2010
 *      Author: drewyrr
 */

#ifndef DSN_H_
#define DSN_H_

#include <apr_pools.h>
#include <apr_dbd.h>

#include "mimeparse.h"
#include "dsndbd.h"

typedef struct notification_rec {
	apr_pool_t *pool;
	apr_table_t *delivery_status;
	apr_table_t *delivery_status_body;
	apr_table_t *rfc822;
	apr_table_t *headers;
	apr_bucket_brigade *body;
} notification_rec;

typedef struct dsn_rec {
	apr_pool_t *pool;
	dsnconn_rec *dsncon;
	mimeparse_rec *mimeparse;
	const char *verp;
	int max_body_size;
	notification_rec *notification;
} dsn_rec;

dsn_rec *dsn_make(apr_pool_t *parent);

notification_rec *notification_make(apr_pool_t *parent, mimeparse_rec *mimeparse);

#endif /* DSN_H_ */
